## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLNamespaceDeclarationPrefix

All Superinterfaces:
  SQLObject, SQLQueryObject, XMLNamespaceDeclarationItem

All Known Implementing Classes:
  XMLNamespaceDeclarationPrefixImpl

public interface XMLNamespaceDeclarationPrefix
extends XMLNamespaceDeclarationItem

A representation of the model object 'XML Namespace Declaration Prefix'.

The following features are supported:

- `Prefix`

See Also:
  `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationPrefix()`

Method Summary
`java.lang.String` `getPrefix()` Returns the value of the 'Prefix' attribute.
`void` `setPrefix(java.lang.String value)` Sets the value of the '`Prefix`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.xml.query.XMLNamespaceDeclarationItem
`getNamespacesDecl, getUri, setNamespacesDecl, setUri`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getPrefix

    public java.lang.String getPrefix()

  Returns the value of the 'Prefix' attribute.

  If the meaning of the 'Prefix' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Prefix' attribute.
  See Also:
    `setPrefix(String)`, `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationPrefix_Prefix()`

### setPrefix

    public void setPrefix(java.lang.String value)

  Sets the value of the '`Prefix`' attribute.

  Parameters:
    `value` - the new value of the 'Prefix' attribute.
  See Also:
    `getPrefix()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.